#include <net/dropreason.h>

const char * const drop_reasons[] = {
	[SKB_DROP_REASON_NOT_SPECIFIED] = "NOT_SPECIFIED",
	[SKB_DROP_REASON_NO_SOCKET] = "NO_SOCKET",
	[SKB_DROP_REASON_PKT_TOO_SMALL] = "PKT_TOO_SMALL",
	[SKB_DROP_REASON_TCP_CSUM] = "TCP_CSUM",
	[SKB_DROP_REASON_SOCKET_FILTER] = "SOCKET_FILTER",
	[SKB_DROP_REASON_UDP_CSUM] = "UDP_CSUM",
	[SKB_DROP_REASON_NETFILTER_DROP] = "NETFILTER_DROP",
	[SKB_DROP_REASON_OTHERHOST] = "OTHERHOST",
	[SKB_DROP_REASON_IP_CSUM] = "IP_CSUM",
	[SKB_DROP_REASON_IP_INHDR] = "IP_INHDR",
	[SKB_DROP_REASON_IP_RPFILTER] = "IP_RPFILTER",
	[SKB_DROP_REASON_UNICAST_IN_L2_MULTICAST] = "UNICAST_IN_L2_MULTICAST",
	[SKB_DROP_REASON_XFRM_POLICY] = "XFRM_POLICY",
	[SKB_DROP_REASON_IP_NOPROTO] = "IP_NOPROTO",
	[SKB_DROP_REASON_SOCKET_RCVBUFF] = "SOCKET_RCVBUFF",
	[SKB_DROP_REASON_PROTO_MEM] = "PROTO_MEM",
	[SKB_DROP_REASON_TCP_MD5NOTFOUND] = "TCP_MD5NOTFOUND",
	[SKB_DROP_REASON_TCP_MD5UNEXPECTED] = "TCP_MD5UNEXPECTED",
	[SKB_DROP_REASON_TCP_MD5FAILURE] = "TCP_MD5FAILURE",
	[SKB_DROP_REASON_SOCKET_BACKLOG] = "SOCKET_BACKLOG",
	[SKB_DROP_REASON_TCP_FLAGS] = "TCP_FLAGS",
	[SKB_DROP_REASON_TCP_ZEROWINDOW] = "TCP_ZEROWINDOW",
	[SKB_DROP_REASON_TCP_OLD_DATA] = "TCP_OLD_DATA",
	[SKB_DROP_REASON_TCP_OVERWINDOW] = "TCP_OVERWINDOW",
	[SKB_DROP_REASON_TCP_OFOMERGE] = "TCP_OFOMERGE",
	[SKB_DROP_REASON_TCP_RFC7323_PAWS] = "TCP_RFC7323_PAWS",
	[SKB_DROP_REASON_TCP_INVALID_SEQUENCE] = "TCP_INVALID_SEQUENCE",
	[SKB_DROP_REASON_TCP_RESET] = "TCP_RESET",
	[SKB_DROP_REASON_TCP_INVALID_SYN] = "TCP_INVALID_SYN",
	[SKB_DROP_REASON_TCP_CLOSE] = "TCP_CLOSE",
	[SKB_DROP_REASON_TCP_FASTOPEN] = "TCP_FASTOPEN",
	[SKB_DROP_REASON_TCP_OLD_ACK] = "TCP_OLD_ACK",
	[SKB_DROP_REASON_TCP_TOO_OLD_ACK] = "TCP_TOO_OLD_ACK",
	[SKB_DROP_REASON_TCP_ACK_UNSENT_DATA] = "TCP_ACK_UNSENT_DATA",
	[SKB_DROP_REASON_TCP_OFO_QUEUE_PRUNE] = "TCP_OFO_QUEUE_PRUNE",
	[SKB_DROP_REASON_TCP_OFO_DROP] = "TCP_OFO_DROP",
	[SKB_DROP_REASON_IP_OUTNOROUTES] = "IP_OUTNOROUTES",
	[SKB_DROP_REASON_BPF_CGROUP_EGRESS] = "BPF_CGROUP_EGRESS",
	[SKB_DROP_REASON_IPV6DISABLED] = "IPV6DISABLED",
	[SKB_DROP_REASON_NEIGH_CREATEFAIL] = "NEIGH_CREATEFAIL",
	[SKB_DROP_REASON_NEIGH_FAILED] = "NEIGH_FAILED",
	[SKB_DROP_REASON_NEIGH_QUEUEFULL] = "NEIGH_QUEUEFULL",
	[SKB_DROP_REASON_NEIGH_DEAD] = "NEIGH_DEAD",
	[SKB_DROP_REASON_TC_EGRESS] = "TC_EGRESS",
	[SKB_DROP_REASON_QDISC_DROP] = "QDISC_DROP",
	[SKB_DROP_REASON_CPU_BACKLOG] = "CPU_BACKLOG",
	[SKB_DROP_REASON_XDP] = "XDP",
	[SKB_DROP_REASON_TC_INGRESS] = "TC_INGRESS",
	[SKB_DROP_REASON_UNHANDLED_PROTO] = "UNHANDLED_PROTO",
	[SKB_DROP_REASON_SKB_CSUM] = "SKB_CSUM",
	[SKB_DROP_REASON_SKB_GSO_SEG] = "SKB_GSO_SEG",
	[SKB_DROP_REASON_SKB_UCOPY_FAULT] = "SKB_UCOPY_FAULT",
	[SKB_DROP_REASON_DEV_HDR] = "DEV_HDR",
	[SKB_DROP_REASON_DEV_READY] = "DEV_READY",
	[SKB_DROP_REASON_FULL_RING] = "FULL_RING",
	[SKB_DROP_REASON_NOMEM] = "NOMEM",
	[SKB_DROP_REASON_HDR_TRUNC] = "HDR_TRUNC",
	[SKB_DROP_REASON_TAP_FILTER] = "TAP_FILTER",
	[SKB_DROP_REASON_TAP_TXFILTER] = "TAP_TXFILTER",
	[SKB_DROP_REASON_ICMP_CSUM] = "ICMP_CSUM",
	[SKB_DROP_REASON_INVALID_PROTO] = "INVALID_PROTO",
	[SKB_DROP_REASON_IP_INADDRERRORS] = "IP_INADDRERRORS",
	[SKB_DROP_REASON_IP_INNOROUTES] = "IP_INNOROUTES",
	[SKB_DROP_REASON_PKT_TOO_BIG] = "PKT_TOO_BIG",
	[SKB_DROP_REASON_MAX] = "MAX",
};
